<?php
session_cache_expire(2);
session_start();

include("PostfixConfiguration.php");

//TODO: get this from session
$user = $_SESSION["username"];
$f = $_GET["f"];

if ($user != "")
{
	$pfc = new PostfixConfiguration($user);
	if ($f=="domains"){
		$domains = $pfc->getDomains();
		echo $domains;
	} else if ($f=="adddomain"){
		$name = $_GET["domain"];
		$pfc->addDomain($name);
		$domains = $pfc->getDomains();
                echo $domains;
	} else if ($f=="viewdomain"){
                $name = $_GET["domain"];
                $details = $pfc->getDomainDetails($name);
                echo $details;
	} else if ($f=="deletedomain"){
                $name = $_GET["domain"];
                $pfc->deleteDomain($name);
                $domains = $pfc->getDomains();
                echo $domains;
	} else if ($f=="addalias"){
                $d = $_GET["domain"];
		$a = $_GET["alias"];
		$dest = $_GET["dest"];
                $pfc->addAlias($a,$d,$dest);
                $details = $pfc->getDomainDetails($d);
                echo $details;
	} else if ($f=="addmailbox"){
                $d = $_GET["domain"];
                $m = $_GET["mailbox"];
		$dest = $_GET["dest"];
                $pfc->addMailbox($m,$d,$dest);
                $details = $pfc->getDomainDetails($d);
                echo $details;
	} else if ($f=="deletealias"){
                $a = $_GET["alias"];
                $pfc->deleteAlias($a);
		$arr =  explode("@",$a);
                $d = $arr[1];
                $details = $pfc->getDomainDetails($d);
                echo $details;
	} else if ($f=="deletemailbox"){
                $m = $_GET["mailbox"];
                $pfc->deleteMailbox($m);
                $arr =  explode("@",$m);
                $d = $arr[1];
                $details = $pfc->getDomainDetails($d);
                echo $details;
	} else if ($f=="logout"){
		$_SESSION["username"]="";
		echo "<meta http-equiv=refresh content=0;url=index.html>";
	}	

} else {
	if ($f=="login"){
		if (PostfixConfiguration::validateUser($_POST["username"],$_POST["password"]))
		{
			$_SESSION["username"] = $_POST["username"];
			echo "<meta http-equiv=refresh content=0;url=index.html>";
		} else {
			$_SESSION["username"] = "";
			echo "<meta http-equiv=refresh content=0;url=login.php>";
		}
	} else {
		echo "{\"redirect\":\"login.php\"}";
	}
}


?>
